This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v9.2.88 (older) - Last updated April 12, 2018 - Send Feedback

## 3.146. __nv_fmaf_rd

Prototype:

    float @__nv_fmaf_rd(float %x, float %y, float %z)

Description:

Computes the value of x × y + z as a single ternary operation, rounding the result once in round-down (to negative infinity) mode.

Returns:

Returns the rounded value of x × y + z as a single operation.

- __nv_fmaf_rd( ± ∞ , ± 0 , `z`) returns NaN.

- __nv_fmaf_rd( ± 0 , ± ∞ , `z`) returns NaN.

- __nv_fmaf_rd(`x`, `y`, − ∞ ) returns NaN if x × y is an exact + ∞ .

- __nv_fmaf_rd(`x`, `y`, + ∞ ) returns NaN if x × y is an exact − ∞ .

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 6.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes